Subject: Supporting 4-octet AS Number for L2VPN Auto-Discovery

From: Alexander Vainshtein <[email-masked]>
Date: Tue, 2 Sep 2014 13:49:10 +0000

Hi all,
Section 3.2.2.1 of RFC 6074<http://tools.ietf.org/html/rfc6074> requires encoding of VPN IDs for auto-discovery purposes as Extended BGP Community attribute of BGP.
It further specifies that the following subtypes of extended community can be used for this purpose:

*         2-octet AS specific extended community. To the best of my understanding, if this subtype is used for encoding a L2VPN ID, the provide should use the 2-octet AS number assigned to it as part

*         IP address-specific extended community.

It seems that RFC 6074 does not provide any way to use 4-octet AS numbers for encoding L2VPN IDs. Is this correct?
If yes, are there any plans to augment RFC 6074 in such a way as to facilitate usage of 4-octet AS numbers in l2VPN ID encoding?

Regards, and lots of thanks in advance
       Sasha
Email: [email-masked]
Mobile: 054-9266302

---

From: Alexander Vainshtein <[email-masked]>
Date: Wed, 3 Sep 2014 07:57:19 +0000

Just wanted to add that RFC 5668<http://tools.ietf.org/html/rfc5668> has defined the 4-octet AS-specific Extended Community attribute for BGP.
However, there is no sub-type for this Extended community type that could be used as an L2VPN Identifier.

And my apologies to Bruce and Vasile: they (and Eric) are co-authors of 6074, but I do not have their current email addresses.
Regards,
       Sasha
Email: [email-masked]
Mobile: 054-9266302

From: L2vpn [mailto:[email-masked]] On Behalf Of Alexander Vainshtein
Sent: Tuesday, September 02, 2014 4:49 PM
To: [email-masked]; [email-masked]
Cc: [email-masked]; [email-masked]; [email-masked]
Subject: Supporting 4-octet AS Number for L2VPN Auto-Discovery

Hi all,

Regards, and lots of thanks in advance
       Sasha
Email: [email-masked]<mailto:[email-masked]>
Mobile: 054-9266302